package service

import (
	"cc-officialweb/models"
	"cc-officialweb/utils"
)

// GetDataModel 获得大数据展示屏
func GetDataModel() (data models.DataMOdel, error error) {
	tx := utils.DB.First(&data)
	if tx.RowsAffected > 0 {
		return data, nil
	}
	return data, error
}
func GetDataType() (types []string, error error) {
	tx := utils.DB.Select("types").Group("types").Table("data").Find(&types)
	if tx.RowsAffected > 0 {
		return types, nil
	}
	return types, error
}

// GetDataByType 根据类型获得数据
func GetDataByType(types string) (data []models.Data, error error) {
	tx := utils.DB.Where("types=?", types).Find(&data)
	if tx.RowsAffected > 0 {
		return data, nil
	}
	return data, error
}

// GetData 获得所有数据
func GetData(isindex bool) (data []models.Data, error error) {
	tx := utils.DB.Where("is_index=?", isindex).Find(&data)
	if tx.RowsAffected > 0 {
		return data, nil
	}
	return data, error
}

// AddDataModel 添加数据大屏
func AddDataModel(data models.DataMOdel) bool {
	tx := utils.DB.Create(&data)
	if tx.RowsAffected > 0 {
		return true
	}
	return false
}

// UpdateDataModel 更新数据
func UpdateDataModel(data models.DataMOdel) bool {
	tx := utils.DB.Where("id=?", data.ID).Updates(&data)
	if tx.RowsAffected > 0 {
		return true
	}
	return false
}

// DeleteDataModel 删除数据
func DeleteDataModel(id int) bool {
	tx := utils.DB.Where("id = ?", id).Delete(&models.DataMOdel{})
	if tx.RowsAffected > 0 {
		return true
	}
	return false
}
